### Enumeration

# WebKit NavigationType

#### Declaration

    enum WebKit.NavigationType

#### Description [src]

Enum values used to denote the various navigation types.

#### Members

Name | Description
--- | ---
`WEBKIT_NAVIGATION_TYPE_LINK_CLICKED` | The navigation was triggered by clicking a link.
`WEBKIT_NAVIGATION_TYPE_FORM_SUBMITTED` | The navigation was triggered by submitting a form.
`WEBKIT_NAVIGATION_TYPE_BACK_FORWARD` | The navigation was triggered by navigating forward or backward.
`WEBKIT_NAVIGATION_TYPE_RELOAD` | The navigation was triggered by reloading.
`WEBKIT_NAVIGATION_TYPE_FORM_RESUBMITTED` | The navigation was triggered by resubmitting a form.
`WEBKIT_NAVIGATION_TYPE_OTHER` | The navigation was triggered by some other action.